6.0.0-git
2019-03-24

[#2954] Warnings with PHP 5.1: Only variables can be passed by reference
Summary Warnings with PHP 5.1: Only variables can be passed by reference
Queue Horde Framework Packages
Queue Version HEAD
Type Bug
State Not A Bug
Priority 2. Medium
Owners
Requester fse (at) camline (dot) com
Created 2005-11-11 (4881 days ago)
Due
Updated 2005-11-14 (4878 days ago)
Assigned 2005-11-11 (4881 days ago)
Resolved 2005-11-14 (4878 days ago)
Milestone
Patch No

History
2005-11-14 10:19:30 Jan Schneider State ⇒ Not A Bug
 
2005-11-14 06:16:49 fse (at) camline (dot) com Comment #3 Reply to this comment
We are using the latest stable version of Horde in a productive 
environment, therefore I cannot test vs. CVS HEAD version. If you are 
aware of this issue, then its ok for me...
2005-11-11 16:02:11 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
This has already been fixed in CVS in most places. Please provide 
concrete places, or better yet patches the fixes *current* HEAD code.
2005-11-11 07:58:49 fse (at) camline (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Warnings with PHP 5.1: Only variables can be passed by reference
Queue ⇒ Horde Framework Packages
Reply to this comment
The way how factory methods are implemented in many Horde classes 
seems to confuse PHP 5.1:



     function &factory($driver, $params = null)

     {

...

       >>>      return $ret = &new $class($params);

...

     }



The warning is thrown once the factory method returns the new class.



If debug_level includes reporting of warnings, the application is 
blocked, because http headers cannot be set anymore...



Workaround:

set in $HORDE_HOME/config.conf.php:

$conf['debug_level'] = E_ERROR;


Saved Queries